%define name	libusb
%define	version	0.1.12
%define	release	%mkrel 4

%define api	0.1
%define major	4
%define libname	%mklibname usb %{api} %{major}
%define basiclibname	%{name}%{api}

%define subrel  1

Summary:	Libusb is a library which allows userspace access to USB devices
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	http://prdownloads.sourceforge.net/libusb/%{name}-%{version}.tar.bz2
License:	LGPL
Group:		System/Libraries
BuildRoot:	%{_tmppath}/%{name}-%{version}%{release}--root
URL:		http://libusb.sf.net/
Conflicts:	kdegraphics < 2.2.2-4mdk, libgphoto2 < 2.0-0.beta3.5mdk, libgpio0 < 0.0.2-5mdk, libsane1 < 1.0.7-0.beta2.1mdk
BuildRequires:	openjade docbook-dtd31-sgml docbook-style-dsssl

%description
Libusb is a library which allows
userspace access to USB devices

%package -n	%{libname}
Summary:        Libusb is a library which allows userspace access to USB devices
Group:          System/Libraries
Provides:	%{name} = %{version}-%{release}
Provides:	%{basiclibname} = %{version}-%{release}

%description -n	%{libname}
Libusb is a library which allows
userspace access to USB devices

%package -n	%{libname}-devel
Summary:        Libusb is a library which allows userspace access to USB devices
Group:          Development/C
Provides:	%{name}-devel = %{version}-%{release}
Provides:	%{basiclibname}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}

%description -n	%{libname}-devel
This package includes the header files and shared libraries
necessary for developing programs which will access USB devices using
the %{name} library.

If you are going to develop programs which will access USB devices,
you should install this package.

%package -n	%{libname}-static-devel
Summary:        Static libraries for libusb
Group:          Development/C
Provides:	%{name}-static-devel = %{version}-%{release}
Provides:	%{basiclibname}-static-devel = %{version}-%{release}
Requires:	%{libname}-devel = %{version}-%{release}

%description -n	%{libname}-static-devel
This package includes the static libraries necessary for developing
programs which will access USB devices using the %{name} library.

If you are going to develop programs which will access USB devices,
you should install this package.

%prep
%setup -q

%build
#docbook-utils failed to process doc:
%configure2_5x --disable-build-docs
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
%multiarch_binaries $RPM_BUILD_ROOT%{_bindir}/libusb-config

# move libs to /%_lib for UPS shutdown
mkdir -p $RPM_BUILD_ROOT/%_lib
pushd $RPM_BUILD_ROOT%_libdir
mv *.so.* ../../%_lib/
# run lib_symlinks here so that we can remove what we want afterwards
%{_datadir}/spec-helper/lib_symlinks
rm -f libusb*.so.*
export DONT_SYMLINK_LIBS=1
# XXX: fix libusb.la if it's used with ltdlopen, i.e. current usage
# only works to build stuff, aka .so symlink is not dispatched and.
ln -sf ../../%{_lib}/libusb-%{api}.so.%{major} libusb.so
ln -sf ../../%{_lib}/libusbpp-%{api}.so.%{major} libusbpp.so
popd
ln -s ../usr/lib/libusb.la $RPM_BUILD_ROOT/%_lib

%clean
rm -rf %buildroot

%post -p /sbin/ldconfig -n %{libname}
%postun -p /sbin/ldconfig -n %{libname}


%files -n %{libname}
%defattr(-,root,root)
%doc README
/%{_lib}/*.so.*
# needed for programs using dlopen():
/%{_lib}/*.la

%files -n %{libname}-devel
%defattr(-,root,root)
%doc AUTHORS README INSTALL.libusb NEWS ChangeLog
#%doc doc/html
%{_bindir}/libusb-config
%multiarch %{multiarch_bindir}/libusb-config
%{_includedir}/*
%{_libdir}/*.so
%attr(644,root,root) %{_libdir}/*.la
%{_libdir}/pkgconfig/*.pc

%files -n %{libname}-static-devel
%defattr(-,root,root)
%doc README
%{_libdir}/*.a




%changelog
* Wed Jun 27 2007 Vincent Danen <vdanen@mandriva.com> 0.1.12-4.1mdv2007.1
- build for updates

* Mon Jun 25 2007 Nicolas Lécureuil <neoclust@mandriva.org> 0.1.12-4.1mdv2007.1
+ Revision: 44167
- Rebuild to allow pacakges installation (Bug #31596)

* Mon Apr 16 2007 Nicolas Lécureuil <neoclust@mandriva.org> 0.1.12-4mdv2007.1
+ Revision: 13505
- Bump release


* Mon Dec 18 2006 Olivier Blin <oblin@mandriva.com> 0.1.12-3mdv2007.0
+ Revision: 98585
- fix lubusbpp symlink (#27711)
- Import libusb

* Thu Aug 24 2006 Emmanuel Andry <eandry@mandriva.org> 0.1.12-2mdv2007.0
- rebuild

* Thu Mar 09 2006 Götz Waschk <waschk@mandriva.org> 0.1.12-1mdk
- drop patches (merged)
- fix source URL
- New release 0.1.12

* Sat Jan 28 2006 Christiaan Welvaart <cjw@daneel.dyndns.org> 0.1.11-2mdk
- fix patch1: sizeof() returns a size_t, not an unsigned long

* Thu Jan 26 2006 Olivier Blin <oblin@mandriva.com> 0.1.11-1mdk
- 0.1.11
- Patch0: open /dev/bus/usb prior to /proc/bus/usb (from Debian)
- Patch1: fix build (use %%lu for long unsigned int, from CVS)
- add pkgconfig file in -devel package

* Thu Nov 17 2005 Thierry Vignaud <tvignaud@mandriva.com> 0.1.10a-2mdk
- move back /lib/*.la into the main package

* Wed Nov 16 2005 Thierry Vignaud <tvignaud@mandriva.com> 0.1.10a-1mdk
- new release
- fix build
- move /lib/*.la into the -devel subpackage (#17228)

* Thu Feb 17 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.1.8-7mdk
- really fix build of other packages (eg: sane, kdegraphics)

* Wed Feb 16 2005 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.1.8-6mdk
- fix libtoolery

* Mon Jan 31 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.1.8-5mdk
- fix multiarch support (workaround libtool deficienties)

* Tue Jan 25 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.1.8-4mdk
- move librarie from /usr/lib into /lib for UPS shutdown

* Sun Jan 23 2005 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.1.8-3mdk
- rebuild
- wipe out buildroot at the beginning of %%install

* Fri Jul 16 2004 Christiaan Welvaart <cjw@daneel.dyndns.org> 0.1.8-2mdk
- add BuildRequires: docbook-dtd31-sgml docbook-style-dsssl

* Thu Jun 03 2004 Abel Cheung <deaddog@deaddog.org> 0.1.8-1mdk
- New version
- Build docs too

